Foreman - Bug #18854

Missing search filter based on usergroups in Hosts

03/09/2017 08:35 AM - Marek Huléan

Status: Closed
Priority: Normal
Assignee: Dominik Hlavac Duran
Category: Web Interface
Target version: 1.18.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1430742 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/5317
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1430742

Description of problem:

The host page has possibility to filter hosts based on multiple keys. One of them is user.* which is filtering the hosts based on their
owner, however, the owner can't be only user, but also usergroup. Therefore the usergroup filter should be implemented as well.

Version-Release number of selected component (if applicable):

Foreman nightly

How reproducible:

try to use search and find hosts based on their respective usergroup.

Actual results:
Usergroup filtering is missing.

Expected results:
Usergroup filter will be added.

Associated revisions

Revision b3648b07 - 03/19/2018 08:19 AM - Dominik Hlavac Duran
Fixes #18854 - Search by usergroup on hosts (#5317)

History

#1 - 03/09/2017 09:57 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/4368 added

#2 - 11/14/2017 02:25 PM - Tomer Brisker

- Subject changed from Missing search filter based on usergroups in Hosts

to Missing search filter based on usergroups in Hosts

- Status changed from Ready For Testing to New

- Pull request deleted (https://github.com/theforeman/foreman/pull/4368)

#3 - 03/13/2018 12:30 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/5317 added

#4 - 03/13/2018 12:42 PM - Dominik Hlavac Duran

- Assignee set to Dominik Hlavac Duran
https://bugzilla.redhat.com/show_bug.cgi?id=1430742

#5 - 03/19/2018 08:20 AM - Marek Hulan

- translation missing: en.field_release set to 330

#6 - 03/19/2018 12:33 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset b3648b072aead1b99ad0f2223b786093aee857a7.
